
TextCritical.net - Bug #2612

Pagination may yield inconsistent results with an unordered object_list:

03/06/2020 07:12 PM - Luke Murphey

Status: Closed Start date: 03/06/2020

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3.2   

Description

/usr/local/lib/python3.7/site-packages/django/contrib/sitemaps/__init__.py:78: UnorderedObjectListWarning: Pagination may yield

inconsistent results with an unordered object_list: <class 'reader.models.Work'> QuerySet.

Associated revisions

Revision 1097 - 03/17/2020 05:56 PM - luke.murphey

Fixing unordered sitemap

Reference #2612

History

#1 - 03/06/2020 07:23 PM - Luke Murphey

Trigger with https://textcritical.net/sitemap.xml

#2 - 03/06/2020 08:28 PM - Luke Murphey

https://stackoverflow.com/questions/44033670/python-django-rest-framework-unorderedobjectlistwarning/44036414

#3 - 03/09/2020 10:56 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
